Pertanyaan Tingkatkan ke php 7.1 / 7.2 tertentu dari php 7.0 di Ubuntu 16.04 [duplikat]


Pertanyaan ini sudah memiliki jawaban di sini:

Bagaimana saya bisa meng-upgrade ke php 7.1 dari php 7.0 di ubuntu 16.04?

Jika saya melakukan php -v Saya mendapatkan pesan ini:

PHP 7.0.8-0ubuntu0.16.04.3 (cli) ( NTS )
Copyright (c) 1997-2016 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2016 Zend Technologies
    with Zend OPcache v7.0.8-0ubuntu0.16.04.3, Copyright (c) 1999-2016, by Zend Technologies

57
2017-12-04 08:21


asal


Mengapa kalian menganggap Ubuntu tidak meningkatkan PHP ke versi yang tidak pernah ada? 7.0.8 telah digantikan beberapa bulan yang lalu. - Nino Škopac
Karena bahkan versi PHP yang kecil merusak kompatibilitas. @see hash_function dalam php 7.1 vs php 7 - Olavi Sau


Jawaban:


Tidak ada PHP 7.1 resmi di repositori Ubuntu 16.04.

Jika Anda ingin PHP 7.1, ada versi yang tersedia di ppa: ondrej / php

Anda dapat menginstalnya seperti ini:

  1. sudo add-apt-repository ppa:ondrej/php
  2. sudo apt-get update
  3. (pilihan) sudo apt-get remove php7.0
  4. sudo apt-get install php7.1 (dari komentar)

Ingat bahwa ini bukan jalur peningkatan resmi. PPA sudah dikenal, dan relatif aman untuk digunakan.

PPA memiliki paket co-installable (Anda dapat memiliki beberapa versi PHP yang diinstal dari PPA itu). ~muru


119
2017-12-04 08:31



Terima kasih, yoy @ThatGuy, Anda benar, tapi saya perlu jenis pengembalian bersyarat "?" dan tidak sabar untuk menggunakannya :) - zioMitch
Saya perlu meluncurkan juga: 4. sudo apt-get install php7.1 - zioMitch
@ThatGuy PPA memiliki paket co-installable (Anda dapat menginstal beberapa versi PHP dari PPA itu). - muru
@ThatGuy Anda dapat menulis komentar sebagai jawaban, hanya menambahkan penghapusan php7.0 (jika diperlukan) dan setelah itu ekstensi apa pun harus diinstal ulang untuk php 7.1 - zioMitch
Bekerja untuk saya juga di Ubuntu 16.04.01 LTS yang di-host di EC2. - Nino Škopac